# Method: accounts.delete

- [HTTP request](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/accounts/delete#body.HTTP_TEMPLATE)
- [Request body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/accounts/delete#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/accounts/delete#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/accounts/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/accounts/delete#body.aspect)
- [Try it!](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/accounts/delete#try-it)

Deletes a user's account.

### HTTP request

`POST https://identitytoolkit.googleapis.com/v1/accounts:delete`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "localId": string, "delegatedProjectNumber": string, "idToken": string, "tenantId": string, "targetProjectId": string } ``` |

| Fields ||
|---|---|
| `localId` | `string` The ID of user account to delete. Specifying this field requires a Google OAuth 2.0 credential with proper [permissions](https://cloud.google.com/identity-platform/docs/access-control). Requests from users lacking the credential should pass an ID token instead. |
| `delegatedProjectNumber (deprecated)` | `string (https://developers.google.com/discovery/v1/type-format format)` |
| `idToken` | `string` The Identity Platform ID token of the account to delete. Require to be specified for requests from end users that lack Google OAuth 2.0 credential. Authenticated requests bearing a Google OAuth2 credential with proper permissions may pass localId to specify the account to delete alternatively. |
| `tenantId` | `string` The ID of the tenant that the account belongs to, if applicable. Only require to be specified for authenticated requests bearing a Google OAuth 2.0 credential that specify localId of an account that belongs to an Identity Platform tenant. |
| `targetProjectId` | `string` The ID of the project which the account belongs to. Should only be specified in authenticated requests that specify localId of an account. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `targetProjectId`: - `firebaseauth.users.delete` |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/DeleteAccountResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/identitytoolkit`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).